org.eclipse.wst.jsdt.chromium

## Interface IgnoreCountBreakpointExtension

    public interface IgnoreCountBreakpointExtension

An extension to breakpoint API that supports 'ignore count' property. Some backends or VM versions may not support it.

See Also:
  `JavascriptVm.getIgnoreCountBreakpointExtension()`, `Breakpoint.getIgnoreCountBreakpointExtension()`

### Field Summary

Fields
`static int` `EMPTY_VALUE` This value is used when the corresponding parameter is absent.

### Method Summary

All Methods Instance Methods Abstract Methods
`RelayOk` `setBreakpoint(JavascriptVm javascriptVm, Breakpoint.Target target, int line, int column, boolean enabled, java.lang.String condition, int ignoreCount, JavascriptVm.BreakpointCallback callback, SyncCallback syncCallback)` Sets a breakpoint with the specified parameters.
`RelayOk` `setIgnoreCount(Breakpoint breakpoint, int ignoreCount, GenericCallback<java.lang.Void> callback, SyncCallback syncCallback)` Sets the ignore count for this breakpoint (`EMPTY_VALUE` to clear).

### Field Detail

#### EMPTY_VALUE

    static final int EMPTY_VALUE

This value is used when the corresponding parameter is absent.

See Also:
  `setIgnoreCount(org.eclipse.wst.jsdt.chromium.Breakpoint, int, org.eclipse.wst.jsdt.chromium.util.GenericCallback<java.lang.Void>, org.eclipse.wst.jsdt.chromium.SyncCallback)`, Constant Field Values

### Method Detail

#### setBreakpoint

    RelayOk setBreakpoint(JavascriptVm javascriptVm,
                          Breakpoint.Target target,
                          int line,
                          int column,
                          boolean enabled,
                          java.lang.String condition,
                          int ignoreCount,
                          JavascriptVm.BreakpointCallback callback,
                          SyncCallback syncCallback)

Sets a breakpoint with the specified parameters.

Parameters:
  `target` - of the breakpoint
  `line` - in the script or function (1-based). If none, use `Breakpoint.EMPTY_VALUE`
  `column` - of the target start within the line (1-based). If none, use `Breakpoint.EMPTY_VALUE`
  `enabled` - whether the breakpoint is enabled initially
  `ignoreCount` - number specifying the amount of breakpoint hits to ignore. If none, use `EMPTY_VALUE`
  `condition` - nullable string with breakpoint condition
  `callback` - to invoke when the evaluation result is ready, may be `null`

#### setIgnoreCount

    RelayOk setIgnoreCount(Breakpoint breakpoint,
                           int ignoreCount,
                           GenericCallback<java.lang.Void> callback,
                           SyncCallback syncCallback)

Sets the ignore count for this breakpoint (`EMPTY_VALUE` to clear). Does not require subsequent flush call.

Parameters:
  `ignoreCount` - the new ignored hits count to set